/*
Theme Name: Porto Child
Theme URI: https://www.portotheme.com/wordpress/porto
Author: P-THEMES
Author URI: https://www.portotheme.com/
Description: Porto Responsive WordPress + eCommerce Theme.
Version: 1.1
Template: porto
License: Commercial
License URI: http://themeforest.net/licenses/regular_extended
Tags: woocommerce, corporate, ecommerce, responsive, blue, black, green, white, light, dark, red, two-columns, three-columns, four-columns, left-sidebar, right-sidebar, fixed-layout, responsive-layout, custom-menu, editor-style, featured-images, flexible-header, full-width-template, microformats, post-formats, rtl-language-support, sticky-post, theme-options, translation-ready, accessibility-ready
*/

/*************** ADD YOUR CUSTOM CSS HERE  ***************/
@media (min-width: 992px) {
  .mobile-only {
    display: none !important;
  }
}

@media (max-width: 991px) {
  .desktop-only {
    display: none !important;
  }
}

body.post-type-archive-product .product-image {
  border: none;
}

.related-products {
  background: green !important;
}

body.post-type-archive-product .product-image .inner,
.related.products .product-image .inner {
  height: 200px;
  justify-content: center;
  align-items: center;
  display: flex;
}

body.post-type-archive-product .product-image .inner img,
.related.products .product-image .inner img {
  max-width: 100%;
  max-height: 100%;
  width: auto;
  height: auto;
  object-fit: contain;
}

.product-content:not(:has(.shipping-costs-info)) .add-links-wrap {
  margin-top: 43px;
}

ul.products .woocommerce-loop-product__title {
  white-space: unset;
  min-height: 2.7em;
}

@media (max-width: 400px) {
  .archive-products .products.products-container.grid .product-col {
    width: 100%;
  }
}
.post-type-archive-product.filtered .container-fluid {
  max-width: 960px;
  padding-left: 15px;
  padding-right: 15px;
}

body .irs--round .irs-handle {
  border-color: var(--porto-primary-light-5);
}

body .irs--round .irs-to::before,
body .irs--round .irs-from::before {
  border-top-color: var(--porto-primary-light-5);
}

body .irs--round .irs-bar,
body .irs--round .irs-to,
body .irs--round .irs-from {
  background-color: var(--porto-primary-light-5);
}

.chosen-container .chosen-results li.highlighted {
  background-color: var(--porto-primary-light-5);
  background-image: none;
}

.woocommerce-page .sidebar-content ul.chosen-choices {
  border: 1px solid lightgray;
}

.woof_btn_default.woof_show_auto_form,
.woof_btn_default.woof_hide_auto_form {
  background: var(--porto-primary-light-5);
  display: flex !important;
  justify-content: center;
  align-items: center;
  width: 130px;
}

.woof_btn_default.woof_show_auto_form:before {
  content: "Filter anzeigen";
  color: white;
  font-weight: bold;
}
.woof_btn_default.woof_hide_auto_form:before {
  content: "Filter verbergen";
  color: white;
  font-weight: bold;
}

@media (min-width: 992px) {
  body .woof_autohide_wrapper {
    display: none;
  }
}

.woof_childs_list_opener span.woof_is_closed,
.woof_childs_list_opener span.woof_is_opened {
  background: none;
  display: flex;
  justify-content: center;
  align-items: center;
}

.woof_childs_list_opener span.woof_is_closed:before,
.woof_childs_list_opener span.woof_is_opened:before {
  content: "+";
  font-size: 20px;
  font-weight: bold;
  color: var(--porto-primary-light-5);
}

.woof_childs_list_opener span.woof_is_opened:before {
  content: "-";
}

.woocommerce-page .sidebar-content ul .woof_checkbox_label {
  font-size: 12px;
}

.woof_container .woof_container_inner input[type="search"] {
  padding: 8px 3px;
}

.page-wrapper ul.is-product-collection-layout-carousel[class*="wp-container-"] {
  flex-wrap: nowrap !important; /*Needed to overwrite dump porto css*/
}

.wp-block-woocommerce-product-collection
  .wc-block-next-previous-buttons__button
  svg:where(
    .wc-block-next-previous-buttons__icon--right,
    .wc-block-next-previous-buttons__icon--left
  ) {
  padding: 0;
}

body .wc-block-components-product-image > a:has(img) {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 200px;
}

body .wc-block-components-product-image img {
  width: 80%;
  object-fit: contain !important;
  max-height: 100%;
}

ul.wc-block-product-template li.wc-block-product h2 {
  font-size: 0.92rem !important;
}

body.single-product .main-content {
  max-width: 960px;
  margin: 0 auto;
}

/*Hide filter entries without results*/
.chosen-container .chosen-results li.disabled-result {
  display: none;
}

.footer-wrapper {
  margin-left: auto;
  margin-right: auto;

  @media (min-width: 1000px) {
    max-width: 1000px;
  }

  @media (min-width: 1170px) {
    max-width: 1170px;
  }

  @media (min-width: 1460px) {
    max-width: 1430px;
  }
}

figure.wp-block-image.frontpage-category-image img {
  object-fit: cover;

  @media (min-width: 800px) {
    height: 170px !important;
  }

  @media (min-width: 1170px) {
    height: 300px !important;
  }
}

body #header.sticky-header .header-main.sticky .header-left,
body #header.sticky-header .header-main.sticky .header-right {
  transition: ease all 0.6s;
}

@media (min-width: 992px) {
  body #header .header-main.sticky .header-right-top {
    display: block;
  }

  body #header.sticky-header .header-main.sticky .header-left,
  body #header.sticky-header .header-main.sticky .header-right {
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
  }
}

.wp-block-woocommerce-product-collection {
  BR,
  p {
    display: none;
  }
}

body .wp-block-woocommerce-product-collection .wc-block-next-previous-buttons {
  margin-bottom: 1rem;
  margin-top: 0;
}

.wp-block-woocommerce-product-collection
  .wc-block-product
  .wp-block-post-title {
  min-height: 3.8rem;
}

.woof_list.woof_list_checkbox li:has(.disabled) {
  display: none;
}

body #mini-cart .cart-head {
  font-size: 22px;
}

body #mini-cart .minicart-icon-default {
  width: 21px;
  height: 18px;
}

body:not(.wp-admin):not(.products-with-reduced-price):not(
    .products-with-reduced-price,
    .wp-admin
  )
  .only-with-reduced-price-products {
  display: none;
}

@media (max-width: 991px) {
  body #header .header-main .header-right {
    display: flex;
    justify-content: end;
    align-items: center;
  }
}
